API referenceInsights
Top pages, sources, devices, countries or UTM values for a range
AuthorizationBearer <token>
API key from Settings → API keys
In: header
Path Parameters
storeId*string
Query Parameters
from*string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timeto*string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timetype*string
Value in
- "path"
- "entry"
- "exit"
- "referrer"
- "channel"
- "browser"
- "os"
- "device"
- "country"
- "product"
- "utm_source"
- "utm_medium"
- "utm_campaign"
- "utm_term"
- "utm_content"
limit?integer
Range
1 <= value <= 100Default
20Response Body
application/json
application/json
curl -X GET "https://example.com/v1/stores/string/insights/traffic/breakdown?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&type=path"{ "type": "path", "total": -9007199254740991, "data": [ { "key": "string", "label": "string", "count": -9007199254740991, "visitors": -9007199254740991, "conversions": -9007199254740991 } ]}